/*
This file is part of phpLudoreve.

    phpLudoreve is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    phpLudoreve is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
*/

CREATE DATABASE ludoreve;

USE ludoreve;

CREATE TABLE `adherent` (
  `id_adherent` int(11) NOT NULL auto_increment,
  `nom` tinytext,
  `prenom` tinytext,
  `date_inscription` date default NULL,
  `date_naissance` date default NULL,
  `adresse` tinytext,
  `cp_ville` tinytext,
  `tel_maison` tinytext,
  `tel_travail` tinytext,
  `tel_mobile` tinytext,
  `tel_fax` tinytext,
  `commentaire` blob,
  PRIMARY KEY  (`id_adherent`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `jeu` (
  `id_jeu` int(11) NOT NULL auto_increment,
  `nom` tinytext,
  `reference` tinytext,
  `fabricant` tinytext,
  `categorie` tinytext,
  `commentaire` blob,
  `infos_fabricant` tinytext,
  `inventaire` blob,
  `date_achat` date NOT NULL default '0000-00-00',
  `prix` int(11) default NULL,
  PRIMARY KEY  (`id_jeu`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `prets` (
  `id_pret` int(11) NOT NULL auto_increment,
  `id_jeu` int(11) default NULL,
  `id_adherent` int(11) default NULL,
  `date_pret` date default NULL,
  `date_retour` date default NULL,
  `rendu` tinyint(4) default NULL,
  `reglera` tinytext,
  PRIMARY KEY  (`id_pret`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `stats_jour` (
  `date` date NOT NULL default '0000-00-00',
  `enfant_m6` tinyint(4) NOT NULL default '0',
  `enfant_p6` tinyint(4) NOT NULL default '0',
  `mere` tinyint(4) NOT NULL default '0',
  `pere` tinyint(4) NOT NULL default '0',
  `ass_mat` tinyint(4) NOT NULL default '0',
  `autre` tinyint(4) NOT NULL default '0',
  UNIQUE KEY `date` (`date`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;




